# Admin · Referrals

1 operation on the Logion v1 API.

- [Mark a referral attribution as under abuse review or blocked. Blocks all FUTURE rewards; existing rewards are not clawed back.](#mark-a-referral-attribution-as-under-abuse-review-or-blocked-blocks-all-future-rewards-existing-rewards-are-not-clawed-back) — `PATCH /v1/admin/referral-attributions/{attribution_id}/status`

## Mark a referral attribution as under abuse review or blocked. Blocks all FUTURE rewards; existing rewards are not clawed back.

```http
PATCH /v1/admin/referral-attributions/{attribution_id}/status
```

Operation id: `set_referral_attribution_status`

Takes an [`Authorization`](/docs/api/overview#authentication) header.

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `attribution_id` | path | string(uuid) | yes |

**Request body**

Body `SetReferralAttributionStatusRequest`:

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `reason` | string, optional | no |  |
| `status` | enum("abuse_review", "blocked") | yes |  |

**Responses**

| Status | Meaning | Schema |
| --- | --- | --- |
| `200` | Successful response | `SetReferralAttributionStatusResponse` |
| `401` | Unauthorized | `ErrorResponse` |
| `403` | Forbidden | `ErrorResponse` |
| `404` | Not found | `ErrorResponse` |
| `409` | Invalid transition | `ErrorResponse` |
| `422` | Validation Error | `HTTPValidationError` |

Returns `SetReferralAttributionStatusResponse`:

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `attribution_id` | string(uuid) | yes |  |
| `status` | string | yes |  |
